// ----------------------------------------------------------------------------
// markItUp!
// ----------------------------------------------------------------------------
// Copyright (C) 2011 Jay Salvat
// http://markitup.jaysalvat.com/
// ----------------------------------------------------------------------------
// Html tags
// http://en.wikipedia.org/wiki/html
// ----------------------------------------------------------------------------
// Basic set. Feel free to add more tags
// ----------------------------------------------------------------------------


var i = 1;
var mySettings = {
    resizeHandle: false,
	onShiftEnter:  	{keepDefault:false, replaceWith:'<br />\n'},
	onCtrlEnter:  	{keepDefault:true},
	onTab:    		{keepDefault:false, replaceWith:'    '},
	markupSet:  [
		{name:'Жирный', key:'B', openWith:'<b>', closeWith:'</b>', className: 'btnBold'},
		{name:'Наклонный', key:'I', openWith:'<i>', closeWith:'</i>', className: 'btnItalic'},
		{name:'Подчеркнутый', key:'U', openWith:'<u>', closeWith:'</u>', className: 'btnUnderline'},
		{name:'Зачеркнутый', key:'S', openWith:'<s>', closeWith:'</s>', className: 'btnStroke'},
		{name:'Список', openWith:'    <li>', closeWith:'</li>', multiline:true, openBlockWith:'<ul>\n', closeBlockWith:'\n</ul>', className: 'btnOl'},
		{name:'Нумерованный список', openWith:'    <li>', closeWith:'</li>', multiline:true, openBlockWith:'<ol>\n', closeBlockWith:'\n</ol>', className: 'btnUl'},
		{name:'Цитата', openWith:'<blockquote>[![Текст цитаты]!]', closeWith:'</blockquote>', className: 'btnQuote'},
        {name:'Ссылка', key:'L', openWith:'<a target="_blank" href="[![Адрес ссылки:!:http://]!]">', closeWith:'</a>', placeHolder:'Заголовок ссылки...', className: 'btnLink'},
		{name:'Фото из Интернета', replaceWith:'<img src="[![Адрес фото:!:http://]!]" alt="[![Описание]!]" />', className: 'btnImg'},
		{name:'Фото с компьютера', className: 'btnImgUpload', beforeInsert: function(markItUp) { InlineUpload.display(markItUp) }},
		{name:'Видео YouTube', openWith:'<youtube>[![Ссылка на ролик YouTube]!]', closeWith:'</youtube>', className: 'btnVideoYoutube'},
		{name:'Видео Facebook', openWith:'<facebook>[![Ссылка на ролик Facebook]!]', closeWith:'</facebook>', className: 'btnVideoFacebook'},
        {name:'Код', openWith:'<code>', closeWith:'</code>', className: 'btnCode'}, 
		{name:'Красный', openWith:'<span style="color:red">', closeWith:'</span>', className: 'btnRed'}, 
		{name:'Зеленый', openWith:'<span style="color:green">', closeWith:'</span>', className: 'btnGreen'},
		{name:'Синий', openWith:'<span style="color:blue">', closeWith:'</span>', className: 'btnBlue'},
		{name:'Смайлы', className: 'btnSmiles', key: 'Z', beforeInsert: function(markItUp) { InlineUpload.display(markItUp), smilePanel(markItUp); i=1-i}}
	]
	
}
	/*  Вызов панели смайлов.*/
function smilePanel(markItUp) {
$(document).ready(function(){
	$(".markItUpInlineUpload").hide().load("/smiles/show.php").show('fast'); /* Загрузка смайлов в панель */
	
	var pos = $(".markItUpInlineUpload").position(); /* Получение координат панели смайлов */
	
	if ($("body").attr('id') == 'desktop_device_type'){var x = 300; var y = -245;
	if (i==1){ $(".markItUpInlineUpload").css("cursor", "pointer")
	.offset({left: pos.left+x, top: pos.top+y}) }; /* Смещение панели на десктопе*/
	$('div').not('.markItUpInlineUpload').click(function(){$('.markItUpInlineUpload').hide('slow', function()
	{ $('.markItUpInlineUpload').remove(); }); i=1}); /* Закрытие панели смайлов по клику вне самой панели */} 
	
	else if ($("body").attr('id') == 'mobile_device_type'){$('.markItUpInlineUpload').center(); /*Выравнивание по центру на мобильнике*/
	$('div').click(function(){$('.markItUpInlineUpload').hide('slow', function()
	{ $('.markItUpInlineUpload').remove(); }); i=1}); /* Закрытие панели смайлов по клику в любом месте*/}
	
	$('.markItUpInlineUpload').on('click', '#smil', function()  {  
	$.markItUp({ closeWith: '<img src="'+$(this).attr('src')+'">'})}); /* Добавление смайла в положение курсора */
	
})}
    /*Функция выравнивания по центру*/ 
jQuery.fn.center = function () {
    this.css("position","absolute");
    this.css("top", (($(window).height() - this.outerHeight()) / 2) + $(window).scrollTop() + "px");
    this.css("left", (($(window).width() - this.outerWidth()) / 2) + $(window).scrollLeft() + "px");
    return this;
}
